import request from '@/utils/request'

// 查询VIEW列表
export function listPedigree(query) {
  return request({
    url: '/system/pedigree/list',
    method: 'get',
    params: query
  })
}

// 查询VIEW详细
export function getPedigree(id) {
  return request({
    url: '/system/pedigree/' + id,
    method: 'get'
  })
}

// 新增VIEW
export function addPedigree(data) {
  return request({
    url: '/system/pedigree',
    method: 'post',
    data: data
  })
}

// 修改VIEW
export function updatePedigree(data) {
  return request({
    url: '/system/pedigree',
    method: 'put',
    data: data
  })
}

// 删除VIEW
export function delPedigree(id) {
  return request({
    url: '/system/pedigree/' + id,
    method: 'delete'
  })
}
